<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Modulo{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO modulo (nombre,descripcion) VALUES ('$nombre','$descripcion')";
	return ejecutarConsulta($sql);
}

public function editar($idmodulo,$nombre,$descripcion){
	$sql="UPDATE modulo SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idmodulo='$idmodulo'";
	return ejecutarConsulta($sql);
}
public function desactivar($idmodulo){
	$sql="UPDATE modulo SET condicion='0' WHERE idmodulo='$idmodulo'";
	return ejecutarConsulta($sql);
}
public function activar($idmodulo){
	$sql="UPDATE modulo SET condicion='1' WHERE idmodulo='$idmodulo'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idmodulo){
	$sql="SELECT * FROM modulo WHERE idmodulo='$idmodulo'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM modulo";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM modulo WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>